Xerces-C++ 3.2.5

Public Types | Public Member Functions | Static Public Member Functions | Friends | List of all members
XMLDateTime Class Reference

`#include <xercesc/util/XMLDateTime.hpp>`

Inheritance diagram for XMLDateTime:

## Public Types
enum | valueIndex { CentYear = 0 , Month , Day , Hour , Minute , Second , MiliSecond , utc , TOTAL_SIZE }
enum | utcType { UTC_UNKNOWN = 0 , UTC_STD , UTC_POS , UTC_NEG }
Public Types inherited from XMLNumber
enum | { LESS_THAN = -1 , EQUAL = 0 , GREATER_THAN = 1 , INDETERMINATE = 2 }
enum | NumberType { Float , Double , BigDecimal , DateTime , UnKnown }

## Public Member Functions
| XMLDateTime (MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| XMLDateTime (const XMLCh *const, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| XMLDateTime (time_t epoch, bool duration, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| ~XMLDateTime ()
void | setBuffer (const XMLCh *const)
| XMLDateTime (const XMLDateTime &)
XMLDateTime & | operator= (const XMLDateTime &)
virtual XMLCh * | getRawData () const
| Return string representation of the decimal value.
virtual const XMLCh * | getFormattedString () const
| Return the original and converted value of the original data.
virtual int | getSign () const
| Returns the sign of this number.
XMLCh * | getDateTimeCanonicalRepresentation (MemoryManager *const memMgr) const
XMLCh * | getTimeCanonicalRepresentation (MemoryManager *const memMgr) const
XMLCh * | getDateCanonicalRepresentation (MemoryManager *const memMgr) const
void | parseDateTime ()
void | parseDate ()
void | parseTime ()
void | parseDay ()
void | parseMonth ()
void | parseYear ()
void | parseMonthDay ()
void | parseYearMonth ()
void | parseDuration ()
int | getYear () const
int | getMonth () const
int | getDay () const
int | getHour () const
int | getMinute () const
int | getSecond () const
time_t | getEpoch (bool duration=false) const
Public Member Functions inherited from XMLNumber
virtual | ~XMLNumber ()
Public Member Functions inherited from XMemory
void * | operator new (size_t size)
| This method overrides operator new.
void * | operator new (size_t size, MemoryManager *memMgr)
| This method defines a custom operator new, that will use the provided memory manager to perform the allocation.
void * | operator new (size_t size, void *ptr)
| This method overrides placement operator new.
void | operator delete (void *p)
| This method overrides operator delete.
void | operator delete (void *p, MemoryManager *memMgr)
| This method provides a matching delete for the custom operator new.
void | operator delete (void *p, void *ptr)
| This method provides a matching delete for the placement new.

## Static Public Member Functions
static int | compare (const XMLDateTime *const, const XMLDateTime *const)
static int | compare (const XMLDateTime *const, const XMLDateTime *const, bool)
static int | compareOrder (const XMLDateTime *const, const XMLDateTime *const)
Static Public Member Functions inherited from XMLNumber
static XMLNumber * | loadNumber (XMLNumber::NumberType numType, XSerializeEngine &serEng)

## Friends
class | XSValue

## Additional Inherited Members
Protected Member Functions inherited from XMLNumber
| XMLNumber ()
| XMLNumber (const XMLNumber &)
Protected Member Functions inherited from XMemory
| XMemory ()
| Protected default constructor.

## Member Enumeration Documentation

## ◆ utcType

enum XMLDateTime::utcType

Enumerator
UTC_UNKNOWN |
UTC_STD |
UTC_POS |
UTC_NEG |

## ◆ valueIndex

enum XMLDateTime::valueIndex

Enumerator
CentYear |
Month |
Day |
Hour |
Minute |
Second |
MiliSecond |
utc |
TOTAL_SIZE |

## Constructor & Destructor Documentation

## ◆ XMLDateTime() [1/4]

XMLDateTime::XMLDateTime | ( | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager` | ) |

## ◆ XMLDateTime() [2/4]

XMLDateTime::XMLDateTime | ( | const XMLCh * const | ,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager`
| ) |  |

## ◆ XMLDateTime() [3/4]

XMLDateTime::XMLDateTime | ( | time_t | epoch,
|  | bool | duration,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager`
| ) |  |

## ◆ ~XMLDateTime()

XMLDateTime::~XMLDateTime | ( |  | ) |

## ◆ XMLDateTime() [4/4]

XMLDateTime::XMLDateTime | ( | const XMLDateTime & |  | ) |

## Member Function Documentation

## ◆ compare() [1/2]

static int XMLDateTime::compare | ( | const XMLDateTime * const | ,
|  | const XMLDateTime * const |
| ) |  |
| static

## ◆ compare() [2/2]

static int XMLDateTime::compare | ( | const XMLDateTime * const | ,
|  | const XMLDateTime * const | ,
|  | bool |
| ) |  |
| static

## ◆ compareOrder()

static int XMLDateTime::compareOrder | ( | const XMLDateTime * const | ,
|  | const XMLDateTime * const |
| ) |  |
| static

## ◆ getDateCanonicalRepresentation()

XMLCh * XMLDateTime::getDateCanonicalRepresentation | ( | MemoryManager *const | memMgr | ) | const

## ◆ getDateTimeCanonicalRepresentation()

XMLCh * XMLDateTime::getDateTimeCanonicalRepresentation | ( | MemoryManager *const | memMgr | ) | const

## ◆ getDay()

int XMLDateTime::getDay | ( |  | ) | const

## ◆ getEpoch()

time_t XMLDateTime::getEpoch | ( | bool | duration = `false` | ) | const

## ◆ getFormattedString()

virtual const XMLCh * XMLDateTime::getFormattedString | ( |  | ) | const
| virtual

Return the original and converted value of the original data.

(applicable to double/float)

The internal buffer is returned directly, user is not required to delete the returned buffer

Implements XMLNumber.

## ◆ getHour()

int XMLDateTime::getHour | ( |  | ) | const

## ◆ getMinute()

int XMLDateTime::getMinute | ( |  | ) | const

## ◆ getMonth()

int XMLDateTime::getMonth | ( |  | ) | const

## ◆ getRawData()

virtual XMLCh * XMLDateTime::getRawData | ( |  | ) | const
| virtual

Return string representation of the decimal value.

A decimal point will be included as necessary. Similar to toString above, but the internal buffer is returned directly, user is not required to delete the returned buffer

Implements XMLNumber.

## ◆ getSecond()

int XMLDateTime::getSecond | ( |  | ) | const

## ◆ getSign()

virtual int XMLDateTime::getSign | ( |  | ) | const
| virtual

Returns the sign of this number.

-1 negative 0 zero 1 positive

Implements XMLNumber.

## ◆ getTimeCanonicalRepresentation()

XMLCh * XMLDateTime::getTimeCanonicalRepresentation | ( | MemoryManager *const | memMgr | ) | const

## ◆ getYear()

int XMLDateTime::getYear | ( |  | ) | const

## ◆ operator=()

XMLDateTime & XMLDateTime::operator= | ( | const XMLDateTime & |  | ) |

## ◆ parseDate()

void XMLDateTime::parseDate | ( |  | ) |

## ◆ parseDateTime()

void XMLDateTime::parseDateTime | ( |  | ) |

## ◆ parseDay()

void XMLDateTime::parseDay | ( |  | ) |

## ◆ parseDuration()

void XMLDateTime::parseDuration | ( |  | ) |

## ◆ parseMonth()

void XMLDateTime::parseMonth | ( |  | ) |

## ◆ parseMonthDay()

void XMLDateTime::parseMonthDay | ( |  | ) |

## ◆ parseTime()

void XMLDateTime::parseTime | ( |  | ) |

## ◆ parseYear()

void XMLDateTime::parseYear | ( |  | ) |

## ◆ parseYearMonth()

void XMLDateTime::parseYearMonth | ( |  | ) |

## ◆ setBuffer()

void XMLDateTime::setBuffer | ( | const XMLCh * const | aString | ) |

References MemoryManager::allocate(), MemoryManager::deallocate(), XMLChar1_0::isWhitespace(), and XMLString::stringLen().

## Friends And Related Symbol Documentation

## ◆ XSValue

friend class XSValue
| friend

The documentation for this class was generated from the following file:

- XMLDateTime.hpp